r-bioc-biocparallel (1.40.0-3) unstable; urgency=medium

  * Team upload.
  * Packaging update (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * Reflow Uploaders field (cme)
  * Remove Priority field (cme)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Mar 2026 12:19:43 +0900

r-bioc-biocparallel (1.40.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:20:25 +0100

r-bioc-biocparallel (1.40.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:17:50 +0100

r-bioc-biocparallel (1.38.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:22:38 +0200

r-bioc-biocparallel (1.38.0-2~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:58:02 +0200

r-bioc-biocparallel (1.38.0-2~0exp) experimental; urgency=low

  * Team Upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:56:29 +0200

r-bioc-biocparallel (1.36.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 16:52:14 +0100

r-bioc-biocparallel (1.34.2-1) unstable; urgency=medium

  * New upstream version
  * Update Test-Depends using dh-update-R

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 07:51:27 +0200

r-bioc-biocparallel (1.32.5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.32.5
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 19:09:41 +0530

r-bioc-biocparallel (1.32.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 13:37:34 +0100

r-bioc-biocparallel (1.32.3-1) unstable; urgency=medium

  * lintian-overrides (See lintian bug #1017966)
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 08:13:48 +0100

r-bioc-biocparallel (1.32.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:16:06 +0100

r-bioc-biocparallel (1.30.4-1) unstable; urgency=medium

  * New upstream version
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 14:22:15 +0200

r-bioc-biocparallel (1.30.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2022 12:05:17 +0200

r-bioc-biocparallel (1.30.2-2) unstable; urgency=medium

  * Team upload.
  * Re-add r-cran-codetools to Depends
    (I freaking hate dh-update-R deleting useful entries)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 May 2022 20:38:15 +0530

r-bioc-biocparallel (1.30.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2022 07:16:36 +0200

r-bioc-biocparallel (1.30.0-2) unstable; urgency=medium

  * Team upload.
  * Refresh patches
  * Add Depends on codetools since code that depends on
    biocparallel errors out with this package not
    being there - hence add a Depends

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 May 2022 08:09:06 +0530

r-bioc-biocparallel (1.30.0-1) unstable; urgency=medium

  * Fix lintian-override
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Fix lintian-override

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 11:19:06 +0200

r-bioc-biocparallel (1.28.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 09:58:23 +0100

r-bioc-biocparallel (1.28.2-2) unstable; urgency=medium

  * Ignore single test which randomly causes:
      Error in set.seed(seed) : supplied seed is not a valid integer
    on random architectures of debci

 -- Andreas Tille <tille@debian.org>  Wed, 01 Dec 2021 14:02:38 +0100

r-bioc-biocparallel (1.28.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Nov 2021 16:45:14 +0100

r-bioc-biocparallel (1.28.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 15:47:20 +0100

r-bioc-biocparallel (1.26.2-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

  [ Nilesh Patra ]
  * Add autopkgtests conf file to make smoke tests working

 -- Nilesh Patra <nilesh@debian.org>  Fri, 03 Sep 2021 00:26:00 +0530

r-bioc-biocparallel (1.24.1-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 11:46:28 +0100

r-bioc-biocparallel (1.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Oct 2020 17:39:45 +0100

r-bioc-biocparallel (1.22.0-2) unstable; urgency=medium

  * Team upload.
  * Fix test on ppc64el (Closes: #963111)
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 13 Jul 2020 09:44:31 +0200

r-bioc-biocparallel (1.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 18:16:08 +0200

r-bioc-biocparallel (1.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Dec 2019 08:09:34 +0100

r-bioc-biocparallel (1.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 05 Nov 2019 21:53:46 +0100

r-bioc-biocparallel (1.18.1-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Thu, 22 Aug 2019 07:54:32 +0200

r-bioc-biocparallel (1.18.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0
  * Add patch to disable two failing tests until we found a better solution.
     (Closes: #914731)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Jul 2019 08:03:36 +0200

r-bioc-biocparallel (1.18.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 11:57:27 +0200

r-bioc-biocparallel (1.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Remove librt-linkage.patch, applied upstream.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Feb 2019 07:40:13 +0100

r-bioc-biocparallel (1.16.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 05 Jan 2019 19:18:38 +0100

r-bioc-biocparallel (1.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 05 Jan 2019 15:01:01 +0100

r-bioc-biocparallel (1.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove boost_1.67.patch, applied upstream.
  * Fix autopkgtest (Closes: #914731)
      Remove useless patches: fix_syntax_of_test_script.patch
      and ignore_test_requiring_rmpi.patch.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Dec 2018 08:04:22 +0100

r-bioc-biocparallel (1.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add patch to fix FTBFS with boost 1.67 (Closes: #914708)
      Thanks Graham Inggs.
  * Add Testsuite: autopkgtest-pkg-r

 -- Dylan Aïssi <daissi@debian.org>  Thu, 29 Nov 2018 07:48:46 +0100

r-bioc-biocparallel (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 05 Nov 2018 08:04:05 +0100

r-bioc-biocparallel (1.14.2-2) unstable; urgency=medium

  * Test-Depends: r-cran-batchtools
    Closes: #882371

 -- Andreas Tille <tille@debian.org>  Mon, 13 Aug 2018 14:16:59 +0200

r-bioc-biocparallel (1.14.2-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: r-cran-bh instead of libboost-dev
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 11:16:16 +0200

r-bioc-biocparallel (1.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 10 May 2018 11:07:26 +0200

r-bioc-biocparallel (1.14.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields
  * Add comment that libboost-dev is really needed

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 00:06:46 +0200

r-bioc-biocparallel (1.14.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Avoid bash syntax error in template script

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 14:58:27 +0200

r-bioc-biocparallel (1.12.0-2) unstable; urgency=medium

  * pass -lrt option explicitly in src/Makevars (Thanks for the patch to
    Steve Langasek <steve.langasek@ubuntu.com>)
    Closes: #889524
  * d/watch: Secure URI
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2018 10:50:42 +0100

r-bioc-biocparallel (1.12.0-1) unstable; urgency=medium

  * New upstream version
  * Use Debian packaged boost library
  * Architecture: any

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 17:30:12 +0100

r-bioc-biocparallel (1.10.1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Remove unneeded "Testsuite: autopkgtest"
  * Do not read d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 13:46:41 +0200

r-bioc-biocparallel (1.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Graham Inggs <ginggs@debian.org>  Mon, 15 May 2017 12:47:36 +0200

r-bioc-biocparallel (1.8.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 16:53:14 +0100

r-bioc-biocparallel (1.8.0-2) unstable; urgency=medium

  * Add missing dependency to autopkgtest since this was not in the
    list of dependencies created by ${R:Depends}: r-cran-batchjobs (>= 1.6)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 09:34:17 +0200

r-bioc-biocparallel (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * Generic BioConductor homepage
  * Switch to dh-r

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2016 22:18:47 +0200

r-bioc-biocparallel (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 08:41:08 +0200

r-bioc-biocparallel (1.4.3-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Add r-bioc-rsamtools to unit test dependency and Recommends of
    the package
  * Exclude requirement of Rmpi from tests since its not packaged yet
    Closes: #820735

 -- Andreas Tille <tille@debian.org>  Tue, 12 Apr 2016 15:32:10 +0200

r-bioc-biocparallel (1.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 22:29:40 +0100

r-bioc-biocparallel (1.2.6-1) unstable; urgency=medium

  * New upstream version
  * Versioned (Build-)Depends r-cran-batchjobs
  * Suggest: r-cran-mpi

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 14:36:38 +0200

r-bioc-biocparallel (1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 07 Jun 2015 22:27:02 +0200

r-bioc-biocparallel (1.0.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 22:08:38 +0200

r-bioc-biocparallel (0.6.1-1) unstable; urgency=medium

  * Initial release (closes: #753294)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 09:17:49 +0200
